Package com.independentsoft.office.drawing.tableStyles

# Class Border

java.lang.Object
com.independentsoft.office.drawing.tableStyles.Border

Direct Known Subclasses:
  `BottomBorder`, `InsideHorizontalBorder`, `InsideVerticalBorder`, `LeftBorder`, `RightBorder`, `TopBorder`, `TopLeftBottomRightDiagonalBorder`, `TopRightBottomLeftDiagonalBorder`

public abstract class Border extends Object
The Class Border.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected LineReference`
  `lineReference`
  `protected Outline`
  `outline`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Border()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Border`
  `clone()`
  `LineReference`
  `getLineReference()`
  Gets the line reference.
  `Outline`
  `getOutline()`
  Gets the outline.
  `void`
  `setLineReference​(LineReference lineReference)`
  Sets the line reference.
  `void`
  `setOutline​(Outline outline)`
  Sets the outline.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### outline

    protected Outline outline

  - ### lineReference

    protected LineReference lineReference

- ## Constructor Details

  - ### Border

    public Border()

- ## Method Details

  - ### clone

    public abstract Border clone()
    Overrides:
      `clone` in class `Object`

  - ### getOutline

    public Outline getOutline()
    Gets the outline.
    Returns:
      the outline

  - ### setOutline

    public void setOutline​(Outline outline)
    Sets the outline.
    Parameters:
      `outline` - the new outline

  - ### getLineReference

    public LineReference getLineReference()
    Gets the line reference.
    Returns:
      the line reference

  - ### setLineReference

    public void setLineReference​(LineReference lineReference)
    Sets the line reference.
    Parameters:
      `lineReference` - the new line reference